# Create a Link Validation Test

Create a link validation test.

Endpoint: POST /v1/inspect/links
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `links` (array)

  - `linksWithPositions` (array)

  - `linksWithPositions.url` (string, required)

  - `linksWithPositions.line` (integer)

  - `linksWithPositions.column` (integer)

  - `linksWithPositions.selector` (string)

  - `linksWithPositions.absolute_index` (integer)

  - `userAgent` (string | null, required)

## Response 200 fields (application/json):

  - `items` (object)

  - `items.id` (string, required)

  - `items.links` (any)

  - `items.links.self` (string, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

